Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.view
Class DefaultHighlighterFactory.TextHighlighter

    java.lang.Object
      jpicedt.graphic.view.DefaultHighlighterFactory.DefaultHighlighter
          jpicedt.graphic.view.DefaultHighlighterFactory.TextHighlighter

All Implemented Interfaces:
  Highlighter

Enclosing class:
  DefaultHighlighterFactory

public class DefaultHighlighterFactory.TextHighlighter
extends DefaultHighlighterFactory.DefaultHighlighter

a Highlighter for TextEditable's. [SR:underway] use TextLayout highlighting facilities ; this Highlighter is not used yet.

Field Summary

Fields inherited from class jpicedt.graphic.view.DefaultHighlighterFactory.DefaultHighlighter
`bounds, element, pointIndexIterator, ptBuffer, rectBuffer, shape`

Constructor Summary
`DefaultHighlighterFactory.TextHighlighter(TextEditable text)` construct a new Highlighter for the given TextEditable

Method Summary
`void` | `paint(Graphics2D g, Rectangle2D allocation, double scale)` Render the Highlighter to the given graphic context. Current implementation paints end-points by delegating to a `DefaultPointIndexIterator`, using the highlighter color if the given allocation intersects the bounds of this view, then iterates over the `shapes` array, and paints any non-null element.

Methods inherited from class jpicedt.graphic.view.DefaultHighlighterFactory.DefaultHighlighter
`changedUpdate, getBounds, getControlPointsIterator, getElement, getHighlighterFactory, hitTest, syncBounds, syncShape`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultHighlighterFactory.TextHighlighter

    public DefaultHighlighterFactory.TextHighlighter(TextEditable text)

  construct a new Highlighter for the given TextEditable

Method Detail

### paint

    public void paint(Graphics2D g,
                      Rectangle2D allocation,
                      double scale)

  Description copied from class: `DefaultHighlighterFactory.DefaultHighlighter`
  Render the Highlighter to the given graphic context.
  Current implementation paints end-points by delegating to a `DefaultPointIndexIterator`, using the highlighter color if the given allocation intersects the bounds of this view, then iterates over the `shapes` array, and paints any non-null element.

  Specified by:
    `paint` in interface `Highlighter`
  Overrides:
    `paint` in class `DefaultHighlighterFactory.DefaultHighlighter`
  Parameters:
    `scale` - The current scale factor from-model-to-screen for the Graphics2D context ; this may be used to scale down line thickess, etc... so that e.g. barbells appear with the same size on the screen whatever the scale factor being set to the graphic context.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org